org.eclipse.graphiti.internal.command

## Class GFPreparableCommand

- java.lang.Object
- - org.eclipse.emf.common.command.AbstractCommand
  - - org.eclipse.emf.transaction.RecordingCommand
    - - org.eclipse.graphiti.internal.command.GFPreparableCommand

All Implemented Interfaces:
  org.eclipse.emf.common.command.Command, org.eclipse.emf.transaction.util.ConditionalRedoCommand

    public class GFPreparableCommand
    extends org.eclipse.emf.transaction.RecordingCommand

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand

`org.eclipse.emf.common.command.AbstractCommand.NonDirtying`

### Nested classes/interfaces inherited from interface org.eclipse.emf.transaction.util.ConditionalRedoCommand

`org.eclipse.emf.transaction.util.ConditionalRedoCommand.Compound`

### Constructor Summary

Constructors
Constructor and Description
`GFPreparableCommand(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain, ICommand command)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `getExecutionResult()`

### Methods inherited from class org.eclipse.emf.transaction.RecordingCommand

`canRedo, canUndo, chain, dispose, execute, redo, undo`

### Methods inherited from class org.eclipse.emf.common.command.AbstractCommand

`canExecute, getAffectedObjects, getDescription, getLabel, getResult, setDescription, setLabel, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.command.Command

`canExecute, getAffectedObjects, getDescription, getLabel, getResult`

### Constructor Detail

#### GFPreparableCommand

    public GFPreparableCommand(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain,
                               ICommand command)

### Method Detail

#### getExecutionResult

    public boolean getExecutionResult()